Package junit.framework

# Class ComparisonFailure

java.lang.Object
java.lang.Throwable
java.lang.Error
junit.framework.AssertionFailedError
junit.framework.ComparisonFailure

All Implemented Interfaces:
  `Serializable`

public class ComparisonFailure extends AssertionFailedError
Thrown when an assert equals for Strings failed. Inspired by a patch from Alex Chaffee mailto:alex@purpletech.com

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ComparisonFailure(String message, String expected, String actual)`
Constructs a comparison failure.

## Method Summary

Modifier and Type
Method
Description
`String`
`getActual()`
Gets the actual string value
`String`
`getExpected()`
Gets the expected string value
`String`
`getMessage()`
Returns "..." in place of common prefix and "..." in place of common suffix between expected and actual.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ComparisonFailure

public ComparisonFailure(String message, String expected, String actual)
Constructs a comparison failure.

Parameters:
  `message` - the identifying message or null
  `expected` - the expected string value
  `actual` - the actual string value

## Method Details

### getMessage

public String getMessage()
Returns "..." in place of common prefix and "..." in place of common suffix between expected and actual.

Overrides:
  `getMessage` in class `Throwable`
See Also:
  - `Throwable.getMessage()`

### getActual

public String getActual()
Gets the actual string value

Returns:
  the actual string value

### getExpected

public String getExpected()
Gets the expected string value

Returns:
  the expected string value